function [obr_gr maz] = normal(obr_barevny)


g = obr_barevny(:,:,2); %vybrani jen zelene slozky
g=double(g);
r = obr_barevny(:,:,1); %vybrani jen cervene slozky
r=double(r);
vel = size(g); %zjisteni rozliseni obrazu


% 
% figure(1)
% subplot(2,2,1)
% imshow(obr_barevny,[])
% title('Barevny');
% subplot(2,2,3)
% imshow(g,[])
% title('zelena');
% subplot(2,2,4)
% imshow(r,[])
% title('cervena');

maz = g;
maz(maz<=3) = 0;
maz(maz>3) = 1;

maz = bwmorph(maz,'erode',2);    % homomorfická operace dilatace

stredni = sum(sum(g))/(vel(1)*vel(2));
g(g<3) = stredni;
stredni = sum(sum(r))/(vel(1)*vel(2));
r(r<3) = stredni;


% figure(20)
% imshow(obr_barevny,[])

% -	Rozmazání zelené a červené složky s šířkou matice 51
sirka_matice = 51;

op_rozmaz = zeros(vel(1),vel(2));
op_rozmaz((vel(1))/2-(sirka_matice-1)/2:(vel(1))/2+(sirka_matice-1)/2,(vel(2))/2-(sirka_matice-1)/2:(vel(2))/2+(sirka_matice-1)/2) = ones(sirka_matice,sirka_matice)/sirka_matice;;
op_rozmaz = fftshift(op_rozmaz);


four_rozmaz=fft2(op_rozmaz);
four_g=fft2(g);
four_r=fft2(r);
filtr_g=four_g.*four_rozmaz;
filtr_r=four_r.*four_rozmaz;

rozmaz_g = ifft2(filtr_g);
rozmaz_r = ifft2(filtr_r);

rozmaz_g=rozmaz_g*1/max(max(rozmaz_g));
rozmaz_r=rozmaz_r*1/max(max(rozmaz_r));
% figure(2)
% subplot(1,2,1)
% imshow(rozmaz_g)
% subplot(1,2,2)
% imshow(rozmaz_r)
%--------------------------------------------------------------------------
%-	Podělení složek rozmazanými obrazy – pro odstranění nerovnoměrného
%pozadí
obr_g = g ./ rozmaz_g; % smazani okoli


obr_g = obr_g .* maz;
stredni = sum(sum(obr_g))/(vel(1)*vel(2));
obr_g(obr_g==0) = stredni;
obr_g=obr_g*1/max(max(obr_g));

obr_r = r ./ rozmaz_r;
obr_r = obr_r .* maz;
stredni = sum(sum(obr_r))/(vel(1)*vel(2));
obr_r(obr_r==0) = stredni;
obr_r=obr_r*1/max(max(obr_r));

obr_gr = obr_r ./ obr_g;
obr_gr=obr_gr*1/max(max(obr_gr));

obr_st = obr_gr(floor(end/5):end-floor(end/5),floor(end/5):end-floor(end/5));    % střed obrazu sítnice
vel_s = size(obr_st);   % zjištění velikosti středu
stredni = sum(sum(obr_st))/(vel_s(1)*vel_s(2)); % střední hodnota jasu v obrazu středu
obr_gr = obr_gr .* maz;   % smazání okolá sítnice
obr_gr(obr_gr<0.003) = stredni;   % nahrazení černého okolí střední hodnotou
%--------------------------------------------------------------------------


% 
% figure(3)
% imshow(obr_gr,[])
% title('Slouceny obraz');
% figure(4)
% imshow(obr_g,[])
% title('Zeleny');
% figure(5)
% imshow(obr_r,[])
% title('Cerveny');

